// ++++++++++++++++++++++++++++++++++
// + Code generated by dcc 1.0      +
// ++++++++++++++++++++++++++++++++++
void d1_rhs(double* f, double* d1_f, double* x, double* d1_x, double* p, double* d1_p, int& n, int& m)
//$ad indep p d1_p x d1_x
//$ad dep f d1_f
{
   double v1_0=0;  
   double d1_v1_0=0; 
   double v1_1=0; 
   double d1_v1_1=0; 
   double v1_2=0; 
   double d1_v1_2=0; 
   double v1_3=0; 
   double d1_v1_3=0; 
   double v1_4=0; 
   double d1_v1_4=0; 
   double v1_5=0; 
   double d1_v1_5=0; 
   double v1_6=0; 
   double d1_v1_6=0; 
   double v1_7=0; 
   double d1_v1_7=0; 
   double v1_8=0; 
   double d1_v1_8=0; 
   double v1_9=0; 
   double d1_v1_9=0; 
   double v1_10=0; 
   double d1_v1_10=0; 
   double v1_11=0; 
   double d1_v1_11=0; 
   double v1_12=0; 
   double d1_v1_12=0; 
   double v1_13=0; 
   double d1_v1_13=0; 
   double v1_14=0; 
   double d1_v1_14=0; 
   double v1_15=0; 
   double d1_v1_15=0; 
   double v1_16=0; 
   double d1_v1_16=0; 
   double v1_17=0; 
   double d1_v1_17=0; 
   double v1_18=0; 
   double d1_v1_18=0; 
   double v1_19=0; 
   double d1_v1_19=0; 
   double v1_20=0; 
   double d1_v1_20=0; 
   d1_v1_0=0;
 // TLM constant reference
   v1_0=0;
 // SAC constant reference
   d1_v1_1=d1_p[2]; // TLM array memory reference
   v1_1=p[2]; // SAC array memory reference
   d1_v1_2=d1_x[1]; // TLM array memory reference
   v1_2=x[1]; // SAC array memory reference
   d1_v1_3=v1_2*d1_v1_1+v1_1*d1_v1_2; // TLM *
   v1_3=v1_1*v1_2; // SAC *
   d1_v1_4=d1_x[7]; // TLM array memory reference
   v1_4=x[7]; // SAC array memory reference
   d1_v1_5=v1_4*d1_v1_3+v1_3*d1_v1_4; // TLM *
   v1_5=v1_3*v1_4; // SAC *
   d1_v1_6=d1_v1_0-d1_v1_5; // TLM -
   v1_6=v1_0-v1_5; // SAC -
   d1_f[0]=d1_v1_6; // TLM =
   f[0]=v1_6; // SAC =
   d1_v1_0=0;
 // TLM constant reference
   v1_0=0;
 // SAC constant reference
   d1_v1_1=d1_p[0]; // TLM array memory reference
   v1_1=p[0]; // SAC array memory reference
   d1_v1_2=d1_x[1]; // TLM array memory reference
   v1_2=x[1]; // SAC array memory reference
   d1_v1_3=v1_2*d1_v1_1+v1_1*d1_v1_2; // TLM *
   v1_3=v1_1*v1_2; // SAC *
   d1_v1_4=d1_x[5]; // TLM array memory reference
   v1_4=x[5]; // SAC array memory reference
   d1_v1_5=v1_4*d1_v1_3+v1_3*d1_v1_4; // TLM *
   v1_5=v1_3*v1_4; // SAC *
   d1_v1_6=d1_v1_0-d1_v1_5; // TLM -
   v1_6=v1_0-v1_5; // SAC -
   d1_v1_7=d1_p[1]; // TLM array memory reference
   v1_7=p[1]; // SAC array memory reference
   d1_v1_8=d1_x[9]; // TLM array memory reference
   v1_8=x[9]; // SAC array memory reference
   d1_v1_9=v1_8*d1_v1_7+v1_7*d1_v1_8; // TLM *
   v1_9=v1_7*v1_8; // SAC *
   d1_v1_10=d1_v1_6+d1_v1_9; // TLM +
   v1_10=v1_6+v1_9; // SAC +
   d1_v1_11=d1_p[2]; // TLM array memory reference
   v1_11=p[2]; // SAC array memory reference
   d1_v1_12=d1_x[1]; // TLM array memory reference
   v1_12=x[1]; // SAC array memory reference
   d1_v1_13=v1_12*d1_v1_11+v1_11*d1_v1_12; // TLM *
   v1_13=v1_11*v1_12; // SAC *
   d1_v1_14=d1_x[7]; // TLM array memory reference
   v1_14=x[7]; // SAC array memory reference
   d1_v1_15=v1_14*d1_v1_13+v1_13*d1_v1_14; // TLM *
   v1_15=v1_13*v1_14; // SAC *
   d1_v1_16=d1_v1_10-d1_v1_15; // TLM -
   v1_16=v1_10-v1_15; // SAC -
   d1_f[1]=d1_v1_16; // TLM =
   f[1]=v1_16; // SAC =
   d1_v1_0=d1_p[2]; // TLM array memory reference
   v1_0=p[2]; // SAC array memory reference
   d1_v1_1=d1_x[1]; // TLM array memory reference
   v1_1=x[1]; // SAC array memory reference
   d1_v1_2=v1_1*d1_v1_0+v1_0*d1_v1_1; // TLM *
   v1_2=v1_0*v1_1; // SAC *
   d1_v1_3=d1_x[7]; // TLM array memory reference
   v1_3=x[7]; // SAC array memory reference
   d1_v1_4=v1_3*d1_v1_2+v1_2*d1_v1_3; // TLM *
   v1_4=v1_2*v1_3; // SAC *
   d1_v1_5=d1_p[3]; // TLM array memory reference
   v1_5=p[3]; // SAC array memory reference
   d1_v1_6=d1_x[3]; // TLM array memory reference
   v1_6=x[3]; // SAC array memory reference
   d1_v1_7=v1_6*d1_v1_5+v1_5*d1_v1_6; // TLM *
   v1_7=v1_5*v1_6; // SAC *
   d1_v1_8=d1_x[5]; // TLM array memory reference
   v1_8=x[5]; // SAC array memory reference
   d1_v1_9=v1_8*d1_v1_7+v1_7*d1_v1_8; // TLM *
   v1_9=v1_7*v1_8; // SAC *
   d1_v1_10=d1_v1_4+d1_v1_9; // TLM +
   v1_10=v1_4+v1_9; // SAC +
   d1_v1_11=d1_p[4]; // TLM array memory reference
   v1_11=p[4]; // SAC array memory reference
   d1_v1_12=d1_x[8]; // TLM array memory reference
   v1_12=x[8]; // SAC array memory reference
   d1_v1_13=v1_12*d1_v1_11+v1_11*d1_v1_12; // TLM *
   v1_13=v1_11*v1_12; // SAC *
   d1_v1_14=d1_v1_10-d1_v1_13; // TLM -
   v1_14=v1_10-v1_13; // SAC -
   d1_f[2]=d1_v1_14; // TLM =
   f[2]=v1_14; // SAC =
   d1_v1_0=0;
 // TLM constant reference
   v1_0=0;
 // SAC constant reference
   d1_v1_1=d1_p[3]; // TLM array memory reference
   v1_1=p[3]; // SAC array memory reference
   d1_v1_2=d1_x[3]; // TLM array memory reference
   v1_2=x[3]; // SAC array memory reference
   d1_v1_3=v1_2*d1_v1_1+v1_1*d1_v1_2; // TLM *
   v1_3=v1_1*v1_2; // SAC *
   d1_v1_4=d1_x[5]; // TLM array memory reference
   v1_4=x[5]; // SAC array memory reference
   d1_v1_5=v1_4*d1_v1_3+v1_3*d1_v1_4; // TLM *
   v1_5=v1_3*v1_4; // SAC *
   d1_v1_6=d1_v1_0-d1_v1_5; // TLM -
   v1_6=v1_0-v1_5; // SAC -
   d1_v1_7=d1_p[4]; // TLM array memory reference
   v1_7=p[4]; // SAC array memory reference
   d1_v1_8=d1_x[8]; // TLM array memory reference
   v1_8=x[8]; // SAC array memory reference
   d1_v1_9=v1_8*d1_v1_7+v1_7*d1_v1_8; // TLM *
   v1_9=v1_7*v1_8; // SAC *
   d1_v1_10=d1_v1_6+d1_v1_9; // TLM +
   v1_10=v1_6+v1_9; // SAC +
   d1_f[3]=d1_v1_10; // TLM =
   f[3]=v1_10; // SAC =
   d1_v1_0=d1_p[0]; // TLM array memory reference
   v1_0=p[0]; // SAC array memory reference
   d1_v1_1=d1_x[1]; // TLM array memory reference
   v1_1=x[1]; // SAC array memory reference
   d1_v1_2=v1_1*d1_v1_0+v1_0*d1_v1_1; // TLM *
   v1_2=v1_0*v1_1; // SAC *
   d1_v1_3=d1_x[5]; // TLM array memory reference
   v1_3=x[5]; // SAC array memory reference
   d1_v1_4=v1_3*d1_v1_2+v1_2*d1_v1_3; // TLM *
   v1_4=v1_2*v1_3; // SAC *
   d1_v1_5=d1_p[1]; // TLM array memory reference
   v1_5=p[1]; // SAC array memory reference
   d1_v1_6=d1_x[9]; // TLM array memory reference
   v1_6=x[9]; // SAC array memory reference
   d1_v1_7=v1_6*d1_v1_5+v1_5*d1_v1_6; // TLM *
   v1_7=v1_5*v1_6; // SAC *
   d1_v1_8=d1_v1_4-d1_v1_7; // TLM -
   v1_8=v1_4-v1_7; // SAC -
   d1_f[4]=d1_v1_8; // TLM =
   f[4]=v1_8; // SAC =
   d1_v1_0=0;
 // TLM constant reference
   v1_0=0;
 // SAC constant reference
   d1_v1_1=d1_p[0]; // TLM array memory reference
   v1_1=p[0]; // SAC array memory reference
   d1_v1_2=d1_x[1]; // TLM array memory reference
   v1_2=x[1]; // SAC array memory reference
   d1_v1_3=v1_2*d1_v1_1+v1_1*d1_v1_2; // TLM *
   v1_3=v1_1*v1_2; // SAC *
   d1_v1_4=d1_x[5]; // TLM array memory reference
   v1_4=x[5]; // SAC array memory reference
   d1_v1_5=v1_4*d1_v1_3+v1_3*d1_v1_4; // TLM *
   v1_5=v1_3*v1_4; // SAC *
   d1_v1_6=d1_v1_0-d1_v1_5; // TLM -
   v1_6=v1_0-v1_5; // SAC -
   d1_v1_7=d1_p[3]; // TLM array memory reference
   v1_7=p[3]; // SAC array memory reference
   d1_v1_8=d1_x[3]; // TLM array memory reference
   v1_8=x[3]; // SAC array memory reference
   d1_v1_9=v1_8*d1_v1_7+v1_7*d1_v1_8; // TLM *
   v1_9=v1_7*v1_8; // SAC *
   d1_v1_10=d1_x[5]; // TLM array memory reference
   v1_10=x[5]; // SAC array memory reference
   d1_v1_11=v1_10*d1_v1_9+v1_9*d1_v1_10; // TLM *
   v1_11=v1_9*v1_10; // SAC *
   d1_v1_12=d1_v1_6-d1_v1_11; // TLM -
   v1_12=v1_6-v1_11; // SAC -
   d1_v1_13=d1_p[1]; // TLM array memory reference
   v1_13=p[1]; // SAC array memory reference
   d1_v1_14=d1_x[9]; // TLM array memory reference
   v1_14=x[9]; // SAC array memory reference
   d1_v1_15=v1_14*d1_v1_13+v1_13*d1_v1_14; // TLM *
   v1_15=v1_13*v1_14; // SAC *
   d1_v1_16=d1_v1_12+d1_v1_15; // TLM +
   v1_16=v1_12+v1_15; // SAC +
   d1_v1_17=d1_p[4]; // TLM array memory reference
   v1_17=p[4]; // SAC array memory reference
   d1_v1_18=d1_x[8]; // TLM array memory reference
   v1_18=x[8]; // SAC array memory reference
   d1_v1_19=v1_18*d1_v1_17+v1_17*d1_v1_18; // TLM *
   v1_19=v1_17*v1_18; // SAC *
   d1_v1_20=d1_v1_16+d1_v1_19; // TLM +
   v1_20=v1_16+v1_19; // SAC +
   d1_f[5]=d1_v1_20; // TLM =
   f[5]=v1_20; // SAC =
   d1_v1_0=0;
 // TLM constant reference
   v1_0=0;
 // SAC constant reference
   d1_v1_1=0;
 // TLM constant reference
   v1_1=0.0131;
 // SAC constant reference
   d1_v1_2=d1_v1_0-d1_v1_1; // TLM -
   v1_2=v1_0-v1_1; // SAC -
   d1_v1_3=d1_x[5]; // TLM array memory reference
   v1_3=x[5]; // SAC array memory reference
   d1_v1_4=d1_v1_2+d1_v1_3; // TLM +
   v1_4=v1_2+v1_3; // SAC +
   d1_v1_5=d1_x[7]; // TLM array memory reference
   v1_5=x[7]; // SAC array memory reference
   d1_v1_6=d1_v1_4+d1_v1_5; // TLM +
   v1_6=v1_4+v1_5; // SAC +
   d1_v1_7=d1_x[8]; // TLM array memory reference
   v1_7=x[8]; // SAC array memory reference
   d1_v1_8=d1_v1_6+d1_v1_7; // TLM +
   v1_8=v1_6+v1_7; // SAC +
   d1_v1_9=d1_x[9]; // TLM array memory reference
   v1_9=x[9]; // SAC array memory reference
   d1_v1_10=d1_v1_8+d1_v1_9; // TLM +
   v1_10=v1_8+v1_9; // SAC +
   d1_v1_11=d1_x[6]; // TLM array memory reference
   v1_11=x[6]; // SAC array memory reference
   d1_v1_12=d1_v1_10-d1_v1_11; // TLM -
   v1_12=v1_10-v1_11; // SAC -
   d1_f[6]=d1_v1_12; // TLM =
   f[6]=v1_12; // SAC =
   d1_v1_0=d1_p[6]; // TLM array memory reference
   v1_0=p[6]; // SAC array memory reference
   d1_v1_1=d1_x[0]; // TLM array memory reference
   v1_1=x[0]; // SAC array memory reference
   d1_v1_2=v1_1*d1_v1_0+v1_0*d1_v1_1; // TLM *
   v1_2=v1_0*v1_1; // SAC *
   d1_v1_3=d1_p[6]; // TLM array memory reference
   v1_3=p[6]; // SAC array memory reference
   d1_v1_4=d1_x[6]; // TLM array memory reference
   v1_4=x[6]; // SAC array memory reference
   d1_v1_5=d1_v1_3+d1_v1_4; // TLM +
   v1_5=v1_3+v1_4; // SAC +
   d1_v1_6=d1_v1_5; // TLM ()
   v1_6=v1_5; // SAC ()
   v1_7=1/v1_6;
   d1_v1_7=v1_7*d1_v1_2-v1_2*v1_7*v1_7*d1_v1_6;// TLM /
   v1_7=v1_2*v1_7;
 // SAC /
   d1_v1_8=d1_x[7]; // TLM array memory reference
   v1_8=x[7]; // SAC array memory reference
   d1_v1_9=d1_v1_7-d1_v1_8; // TLM -
   v1_9=v1_7-v1_8; // SAC -
   d1_f[7]=d1_v1_9; // TLM =
   f[7]=v1_9; // SAC =
   d1_v1_0=d1_p[7]; // TLM array memory reference
   v1_0=p[7]; // SAC array memory reference
   d1_v1_1=d1_x[2]; // TLM array memory reference
   v1_1=x[2]; // SAC array memory reference
   d1_v1_2=v1_1*d1_v1_0+v1_0*d1_v1_1; // TLM *
   v1_2=v1_0*v1_1; // SAC *
   d1_v1_3=d1_p[7]; // TLM array memory reference
   v1_3=p[7]; // SAC array memory reference
   d1_v1_4=d1_x[6]; // TLM array memory reference
   v1_4=x[6]; // SAC array memory reference
   d1_v1_5=d1_v1_3+d1_v1_4; // TLM +
   v1_5=v1_3+v1_4; // SAC +
   d1_v1_6=d1_v1_5; // TLM ()
   v1_6=v1_5; // SAC ()
   v1_7=1/v1_6;
   d1_v1_7=v1_7*d1_v1_2-v1_2*v1_7*v1_7*d1_v1_6;// TLM /
   v1_7=v1_2*v1_7;
 // SAC /
   d1_v1_8=d1_x[8]; // TLM array memory reference
   v1_8=x[8]; // SAC array memory reference
   d1_v1_9=d1_v1_7-d1_v1_8; // TLM -
   v1_9=v1_7-v1_8; // SAC -
   d1_f[8]=d1_v1_9; // TLM =
   f[8]=v1_9; // SAC =
   d1_v1_0=d1_p[5]; // TLM array memory reference
   v1_0=p[5]; // SAC array memory reference
   d1_v1_1=d1_x[4]; // TLM array memory reference
   v1_1=x[4]; // SAC array memory reference
   d1_v1_2=v1_1*d1_v1_0+v1_0*d1_v1_1; // TLM *
   v1_2=v1_0*v1_1; // SAC *
   d1_v1_3=d1_p[5]; // TLM array memory reference
   v1_3=p[5]; // SAC array memory reference
   d1_v1_4=d1_x[6]; // TLM array memory reference
   v1_4=x[6]; // SAC array memory reference
   d1_v1_5=d1_v1_3+d1_v1_4; // TLM +
   v1_5=v1_3+v1_4; // SAC +
   d1_v1_6=d1_v1_5; // TLM ()
   v1_6=v1_5; // SAC ()
   v1_7=1/v1_6;
   d1_v1_7=v1_7*d1_v1_2-v1_2*v1_7*v1_7*d1_v1_6;// TLM /
   v1_7=v1_2*v1_7;
 // SAC /
   d1_v1_8=d1_x[9]; // TLM array memory reference
   v1_8=x[9]; // SAC array memory reference
   d1_v1_9=d1_v1_7-d1_v1_8; // TLM -
   v1_9=v1_7-v1_8; // SAC -
   d1_f[9]=d1_v1_9; // TLM =
   f[9]=v1_9; // SAC =
}
